% compiles the project into an executable
%
% Copyright 2011-2013 Ulf Blanke, Swiss Federal Institute of Technology (ETH) Zurich, Switzerland
% Copyright 2011-2013 Andreas Bulling, Max Planck Institute for Informatics, Germany
%
% This file is part of the HARPS Matlab toolbox.
%
% HARPS is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% HARPS is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with HARPS. If not, see <http://www.gnu.org/licenses/>.

cd .. % stupid work around, as "-a ../<whateverPath>" does not work properly

mcc -R -nojvm -R -nodisplay -R -singleCompThread -m Queue/job.m -d ./Queue/ -o job -a ./*.m...
    -I ./Classification/...
    -I ./Evaluation/...
    -I ./Experiments/...
    -I ./Features/...    
    -I ./Preprocessing/...
    -I ./Segmentation/...
    -I ./Fusion/...
    -I ./Tools/...
    -I ./Tools/labels/...
    -I ./Tools/illustration/...
    -I ./Tools/data/...
    -I ./Training/...
    -I ./Libraries/HMMall/HMM...
    -I ./Libraries/HMMall/KPMstats...
    -I ./Libraries/HMMall/KPMtools...
    -I ./Libraries/HMMall/netlab3.3...
    -I ./Libraries/jointboosting...
    -I ./Libraries/libsvm-3.1/matlab...
    -I ./Libraries/mi

exit;