% Majority Voting
%
% Copyright 2011-2013 Ulf Blanke, Swiss Federal Institute of Technology (ETH) Zurich, Switzerland
% Copyright 2011-2013 Andreas Bulling, Max Planck Institute for Informatics, Germany
%
% This file is part of the HARPS Matlab toolbox.
%
% HARPS is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% HARPS is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with HARPS. If not, see <http://www.gnu.org/licenses/>.

function labels = assignLabels(labelList, segmentList)

labelsOrig = segments2labeling(labelList);
labels = [];

for iSegment = segmentList'
    labels(end+1) = majority_vote(labelsOrig(iSegment(1):iSegment(2)));
end

labels = labels';

% criterion: if segment does not fall compeletely into the label it is
% not labeled
%labels(1:size(segmentList,1), 1) = -inf;

%for c = unique(labelList(:, 4))'
%    classLabelList = labelList(labelList(:, 4) == c, 1:2);
%    %labels(classLabelList
%    overlapping = intersectSegments(classLabelList,segmentList);
%    labels(overlapping) = c; 
%end

%labels(labels==-Inf) = 1;