% Copyright 2011-2013 Ulf Blanke, Swiss Federal Institute of Technology (ETH) Zurich, Switzerland
% Copyright 2011-2013 Andreas Bulling, Max Planck Institute for Informatics, Germany
%
% This file is part of the HARPS Matlab toolbox.
%
% HARPS is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% HARPS is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with HARPS. If not, see <http://www.gnu.org/licenses/>.

function result = majority_vote(input)

result = 0;

if max(input) ~= 0
    n = hist(input, 0:max(input));
    m = find(n==max(n));

    if m(1)==1 % NULL class
        n(1) = 0;
        if max(n) == 0 % only NULL class
            m = 0;
        else
            m = find(n==max(n));
        end
    end

    result = m(1)-1; % if multiple are found, pick the first one
else
    result = 0;
end